Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.actions 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.actions
Class ToolsAction

    java.lang.Object
      org.openide.util.SharedClassObject
          org.openide.util.actions.SystemAction
              org.openide.actions.ToolsAction

All Implemented Interfaces:
  ActionListener, Externalizable, Serializable, EventListener, Action, Presenter, Presenter.Menu, Presenter.Popup, ContextAwareAction, HelpCtx.Provider

    public class ToolsAction

extends SystemAction
implements ContextAwareAction, Presenter.Menu, Presenter.Popup

A "meta-action" that displays (in a submenu) a list of enabled actions provided by modules. Such registered actions are called "service actions": they are provided externally but seem to provide additional services on existing components. Often they will be `NodeAction`s or `CookieAction`s so that they will be enabled based on the node selection, i.e. the node containing this popup. It is desirable for most nodes to include this action somewhere in their popup menu.

Note: you do not need to touch this class to add a service action! Just add the action to a module manifest in an `Action` section.

The list of registered service actions is provided to this action from the implementation by means of `ActionManager`.

See Also:
  Serialized Form

Nested Class Summary
`static interface` | `ToolsAction.Model` Deprecated. Useless, see `ActionManager`.

Nested classes/interfaces inherited from interface org.openide.util.actions.Presenter
`Presenter.Menu, Presenter.Toolbar`

Nested classes/interfaces inherited from interface org.openide.util.actions.Presenter
`Presenter.Menu, Presenter.Toolbar`

Field Summary

Fields inherited from class org.openide.util.actions.SystemAction
`PROP_ENABLED, PROP_ICON`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`ToolsAction()`

Method Summary
`void` | `actionPerformed(ActionEvent ev)`
`Action` | `createContextAwareInstance(Lookup actionContext)`
`HelpCtx` | `getHelpCtx()`
`JMenuItem` | `getMenuPresenter()`
`String` | `getName()`
`JMenuItem` | `getPopupPresenter()`
`static void` | `setModel(ToolsAction.Model m)` Deprecated. Useless, see `ActionManager`.

Methods inherited from class org.openide.util.actions.SystemAction
`clearSharedData, createPopupMenu, createToolbarPresenter, get, getIcon, getIcon, getValue, iconResource, initialize, isEnabled, linkActions, putValue, setEnabled, setIcon`

Methods inherited from class org.openide.util.SharedClassObject
`addNotify, addPropertyChangeListener, equals, finalize, findObject, findObject, firePropertyChange, getLock, getProperty, hashCode, putProperty, putProperty, readExternal, removeNotify, removePropertyChangeListener, reset, writeExternal, writeReplace`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.Action
`addPropertyChangeListener, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Constructor Detail

### ToolsAction

    public ToolsAction()

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in class `SystemAction`

### getHelpCtx

    public HelpCtx getHelpCtx()

  Specified by:
    `getHelpCtx` in interface `HelpCtx.Provider`
  Specified by:
    `getHelpCtx` in class `SystemAction`

### getMenuPresenter

    public JMenuItem getMenuPresenter()

  Specified by:
    `getMenuPresenter` in interface `Presenter.Menu`

### getPopupPresenter

    public JMenuItem getPopupPresenter()

  Specified by:
    `getPopupPresenter` in interface `Presenter.Popup`

### actionPerformed

    public void actionPerformed(ActionEvent ev)

  Specified by:
    `actionPerformed` in interface `ActionListener`
  Specified by:
    `actionPerformed` in class `SystemAction`

### createContextAwareInstance

    public Action createContextAwareInstance(Lookup actionContext)

  Specified by:
    `createContextAwareInstance` in interface `ContextAwareAction`

### setModel

    public static void setModel(ToolsAction.Model m)

  Deprecated. Useless, see `ActionManager`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.actions 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.